<div class="card">
    <h4 class="card-header">Create Charity</h4>
    <div class="card-body">
        <form [formGroup]="form" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="charityName">Charity name</label>
                <input type="text" formControlName="charityName" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.charityName.errors }" />
                <div *ngIf="submitted && f.charityName.errors" class="invalid-feedback">
                    <div *ngIf="f.charityName.errors.required">Charity name is required</div>
                </div>
            </div>
            <div class="form-group">
                <label for="description">Description</label>
                <input type="text" formControlName="description" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.description.errors }" />
                <div *ngIf="submitted && f.description.errors" class="invalid-feedback">
                    <div *ngIf="f.description.errors.required">Name is required</div>
                </div>
            </div>
            <div class="form-group">
                <label for="thumbnailUrl">Thumbnail url</label>
                <input type="text" formControlName="thumbnailUrl" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.thumbnailUrl.errors }" />
                <div *ngIf="submitted && f.thumbnailUrl.errors" class="invalid-feedback">
                    <div *ngIf="f.thumbnailUrl.errors.required">Thumbnail url is required</div>
                </div>
            </div>
            <div class="form-group">
                <label for="budgetRequired">Budget required</label>
                <input type="number" formControlName="budgetRequired" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.budgetRequired.errors }" />
                <div *ngIf="submitted && f.budgetRequired.errors" class="invalid-feedback">
                </div>
            </div>
            <div class="form-group">
                <label for="numberOfParticipantsWanted">Participants wanted</label>
                <input type="number" formControlName="numberOfParticipantsWanted" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.numberOfParticipantsWanted.errors }" />
                <div *ngIf="submitted && f.numberOfParticipantsWanted.errors" class="invalid-feedback">
                    <div *ngIf="f.numberOfParticipantsWanted.errors.required && f.budgetRequired.errors.required">Budget or participants are required</div>
                </div>
            </div>
            <div class="form-group">
                <button [disabled]="loading" class="btn btn-primary">
                    <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                    Create Charity
                </button>
                <a routerLink="" class="btn btn-link">Cancel</a>
            </div>
        </form>
    </div>
    <div *ngIf="flagNotGood">Invalid request!</div>   
</div>
